import * as Depot from "../../components/depot/implementation.js";
export interface BlockStore {
    putBlock(bytes: Uint8Array, code: number): Promise<Uint8Array>;
    getBlock(cid: Uint8Array): Promise<Uint8Array | undefined>;
}
export declare class DepotBlockStore implements BlockStore {
    private depot;
    constructor(depot: Depot.Implementation);
    /** Stores an array of bytes in the block store. */
    getBlock(cid: Uint8Array): Promise<Uint8Array | undefined>;
    /** Retrieves an array of bytes from the block store with given CID. */
    putBlock(bytes: Uint8Array, code: number): Promise<Uint8Array>;
}
